// style.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <stdio.h>

#define LUCKY_M 2025	 //幸运数字(奖金数)
#define POPULATION 6     //村民人数

int main( )
{
    int people[POPULATION];           //记录所有村民上报的年、月、日相加之和
    int luckyPeople[POPULATION];      //幸运者数组，记录获奖者编号
    int nLucky=0;                     //获奖者人数
    int i;                            //循环变量

    for (i=0; i<POPULATION; i++)
	{
        scanf("%d",&people[i]);               //读入村民报的数字，数组下标就是村民的编号
    }

    for (i=0; i<POPULATION; i++)
	{
        if ( people[i] == LUCKY_M )
		{
            luckyPeople[nLucky] = i;   //假设村民从0开始编号
            nLucky ++;
		}
    }
    
	//输出获奖者编号及所获奖金数额
    for (i=0; i<nLucky; i++)
	{
        printf("%d  %d\n", luckyPeople[i], LUCKY_M/nLucky);
	}

	return 0;
}
